Real-Time Avatars
Create meeting room
Establishes a live meeting room featuring an AI assistant, accessible to a single participant. Upon joining, the user may engage in a timed conversation with the assistant.
POST
Headers
string
required
Your Moonscale API key used for authentication.
string
The content type of the request body. Always
application/json.Body application/json
string
required
The UUID of the LiveAvatar that should be used for the meeting as a string.
string
The conversationShortCode for the liveAvatar that should be used for the meeting as a string. If there is no current conversation history with this avatar, leave it blank.
string
The contact email that will be used for the current meeting.
string
The privacy setting of the meeting room, a string value of either public or private.
boolean
The enable chat setting for the room, which opens the chat up by default once the call starts, a boolean value that is defaulted to true.
object
The daily meeting room properties for the meeting room. Currently only supports the property “shouldBotJoinImmediately”, which is defaulted to false.
Responses
201:
string
The URL for the meeting room with token attached to it for entry by the client.
string
The conversation id (UUID) for the meeting room used to retrieve the transcripts as a string.
